#modal_form {
  width: 800px;
  height: 600px; /* Размеры должны быть фиксированы */
  border-radius: 5px;
  border: 3px #000 solid;
  background: #fff;
  position: fixed; /* чтобы окно было в видимой зоне в любом месте */
  top: 25%; /* отступаем сверху 45%, остальные 5% подвинет скрипт */
  left: 40%; /* половина экрана слева */
  margin-top: -350px;
  margin-left: -150px; /* тут вся магия центровки css, отступаем влево и вверх минус половину ширины и высоты соответственно =) */
  display: none; /* в обычном состоянии окна не должно быть */
  opacity: 0; /* полностью прозрачно для анимирования */
  z-index: 5; /* окно должно быть наиболее большем слое */
  padding: 20px 10px;
}
/* Кнопка закрыть для тех кто в танке) */
#modal_form #modal_close {
  width: 21px;
  height: 21px;
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
  display: block;
}
/* Подложка */
#overlay {
  z-index: 3; /* подложка должна быть выше слоев элементов сайта, но ниже слоя модального окна */
  position: fixed; /* всегда перекрывает весь сайт */
  background-color: #000; /* черная */
  opacity: 0.8; /* но немного прозрачна */
  width: 100%;
  height: 100%; /* размером во весь экран */
  top: 0;
  left: 0; /* сверху и слева 0, обязательные свойства! */
  cursor: pointer;
  display: none; /* в обычном состоянии её нет) */
}